Loading...
Searching...
No Matches
Halide::JITExtern Struct Reference

`#include <Pipeline.h>`

## Public Member Functions

| JITExtern (Pipeline pipeline)
| JITExtern (const Func &func)
| JITExtern (const ExternCFunction &extern_c_function)
template<typename RT, typename... Args>
| JITExtern (RT(*f)(Args... args))
const Pipeline & | pipeline () const
const ExternCFunction & | extern_c_function () const

## Detailed Description

Definition at line 582 of file Pipeline.h.

## Constructor & Destructor Documentation

## JITExtern() [1/4]

Halide::JITExtern::JITExtern | ( | Pipeline | pipeline | ) |

explicit

References pipeline().

Referenced by JITExtern().

## JITExtern() [2/4]

Halide::JITExtern::JITExtern | ( | const Func & | func | ) |

explicit

## JITExtern() [3/4]

Halide::JITExtern::JITExtern | ( | const ExternCFunction & | extern_c_function | ) |

explicit

References extern_c_function().

## JITExtern() [4/4]

template<typename RT, typename... Args>

Halide::JITExtern::JITExtern | ( | RT(* | f )(Args... args) | ) |

inline explicit

Definition at line 595 of file Pipeline.h.

References JITExtern().

## Member Function Documentation

## pipeline()

const Pipeline & Halide::JITExtern::pipeline | ( |  | ) | const

inline

Definition at line 599 of file Pipeline.h.

Referenced by JITExtern().

## extern_c_function()

const ExternCFunction & Halide::JITExtern::extern_c_function | ( |  | ) | const

inline

Definition at line 602 of file Pipeline.h.

Referenced by JITExtern().

The documentation for this struct was generated from the following file:

- src/Pipeline.h